# Variable MOCHA`Const`

MOCHA: typeof Mocha & {
expect: ExpectStatic;
setLifeCycle: ((testVars, callbacks?, timeouts?) => void);
setLoggedLifeCycle: ((testVars, callbacks?) => void);
} = ...

#### Type declaration

- ##### expect: ExpectStatic

- ##### setLifeCycle: ((testVars, callbacks?, timeouts?) => void)

  - - (testVars, callbacks?, timeouts?): void

    - #### Parameters

      - ##### testVars: ITestVars

      - ##### `Optional` callbacks: {
        after?: LoginCallback;
        afterEach?: LoginCallback;
        before?: LoginCallback;
        beforeEach?: LoginCallback;
        }

        - ##### `Optional` after?: LoginCallback

        - ##### `Optional` afterEach?: LoginCallback

        - ##### `Optional` before?: LoginCallback

        - ##### `Optional` beforeEach?: LoginCallback

      - ##### `Optional` timeouts: {
        after?: number;
        before?: number;
        beforeEach?: number;
        }

        - ##### `Optional` after?: number

        - ##### `Optional` before?: number

        - ##### `Optional` beforeEach?: number

      #### Returns void

- ##### setLoggedLifeCycle: ((testVars, callbacks?) => void)

  - - (testVars, callbacks?): void

    - #### Parameters

      - ##### testVars: ITestVars

      - ##### `Optional` callbacks: {
        after?: LoginCallback;
        afterEach?: LoginCallback;
        before?: LoginCallback;
        beforeEach?: LoginCallback;
        }

        - ##### `Optional` after?: LoginCallback

        - ##### `Optional` afterEach?: LoginCallback

        - ##### `Optional` before?: LoginCallback

        - ##### `Optional` beforeEach?: LoginCallback

      #### Returns void

- Defined in src/tests/helpers/TestHelper.ts:216

Generated using TypeDoc